Subject: Re: A workflow for local patch maintenance

From: Stephen Bash <[email-masked]>
Date: Fri, 11 Oct 2013 11:30:53 -0400 (EDT)

----- Original Message -----
> From: "Jeff King" <[email-masked]>
> To: "Stephen Bash" <[email-masked]>
> Cc: [email-masked], "Tony Finch" <[email-masked]>
> Sent: Friday, October 11, 2013 11:16:14 AM
> Subject: Re: A workflow for local patch maintenance
> 
> On Fri, Oct 11, 2013 at 09:22:28AM -0400, Stephen Bash wrote:
> 
> > > To mitigate problem 1, I will sometimes revert a local topic
> > > before doing the upstream merge, if I know it has been reworked.
> > 
> > Peff (slightly off topic) - A coworker of mine actually ran into
> > this problem earlier this week.  Is there recommended way to revert
> > a merged topic branch?  I assume it's essentially reverted each
> > commit introduced by the branch, but is there a convenient
> > invocation of revert?  (easy to remember and hard to screw up)
> 
> If you merged the whole topic in at once, then you can use "git revert
> -m 1 $merge_commit" to undo the merge. If it came in individual
> pieces, then you have to revert each one individually (though if it
> was a series of merges, you can in theory revert each merge in reverse
> order).

Thanks for the pointer.  That got me to the right place on the revert
manpage, and there I found the link to howto/revert-a-faulty-merge.txt
which was extremely helpful.

Thanks!
Stephen